Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in rpm
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in rpm
ID: SUSE-SU-2018:3286-1
Distribution: SUSE
Plattformen: SUSE OpenStack Cloud Magnum Orchestration 7, SUSE Linux Enterprise Desktop 12-SP3, SUSE Linux Enterprise Server 12-SP3, SUSE Linux Enterprise Software Development Kit 12-SP3, SUSE CaaS Platform ALL, SUSE CaaS Platform 3.0
Datum: Mo, 22. Oktober 2018, 18:34
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7501
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-7500
Applikationen: RPM

Originalnachricht

   SUSE Security Update: Security update for rpm
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:3286-1
Rating: moderate
References: #1077692 #943457
Cross-References: CVE-2017-7500 CVE-2017-7501
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP3
SUSE Linux Enterprise Server 12-SP3
SUSE Linux Enterprise Desktop 12-SP3
SUSE CaaS Platform ALL
SUSE CaaS Platform 3.0
OpenStack Cloud Magnum Orchestration 7
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This update for rpm fixes the following issues:

These security issues were fixed:

- CVE-2017-7500: rpm did not properly handle RPM installations when a
destination path was a symbolic link to a directory, possibly changing
ownership and permissions of an arbitrary directory, and RPM files being
placed in an arbitrary destination (bsc#943457).
- CVE-2017-7501: rpm used temporary files with predictable names when
installing an RPM. An attacker with ability to write in a directory
where files will be installed could create symbolic links to an
arbitrary location and modify content, and possibly permissions to
arbitrary files, which could be used for denial of service or possibly
privilege escalation (bsc#943457)

This non-security issue was fixed:

- Use ksym-provides tool [bsc#1077692]


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP3:

zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-2373=1

- SUSE Linux Enterprise Server 12-SP3:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-2373=1

- SUSE Linux Enterprise Desktop 12-SP3:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-2373=1

- SUSE CaaS Platform ALL:

To install this update, use the SUSE CaaS Platform Velum dashboard.
It will inform you if it detects new updates and let you then trigger
updating of the complete cluster in a controlled way.

- SUSE CaaS Platform 3.0:

To install this update, use the SUSE CaaS Platform Velum dashboard.
It will inform you if it detects new updates and let you then trigger
updating of the complete cluster in a controlled way.

- OpenStack Cloud Magnum Orchestration 7:

zypper in -t patch
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-2373=1



Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le
s390x x86_64):

rpm-debuginfo-4.11.2-16.16.1
rpm-debugsource-4.11.2-16.16.1
rpm-devel-4.11.2-16.16.1

- SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

python3-rpm-4.11.2-16.16.1
python3-rpm-debuginfo-4.11.2-16.16.1
python3-rpm-debugsource-4.11.2-16.16.1
rpm-4.11.2-16.16.1
rpm-build-4.11.2-16.16.1
rpm-build-debuginfo-4.11.2-16.16.1
rpm-debuginfo-4.11.2-16.16.1
rpm-debugsource-4.11.2-16.16.1
rpm-python-4.11.2-16.16.1
rpm-python-debuginfo-4.11.2-16.16.1
rpm-python-debugsource-4.11.2-16.16.1

- SUSE Linux Enterprise Server 12-SP3 (s390x x86_64):

rpm-32bit-4.11.2-16.16.1
rpm-debuginfo-32bit-4.11.2-16.16.1

- SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

rpm-32bit-4.11.2-16.16.1
rpm-4.11.2-16.16.1
rpm-build-4.11.2-16.16.1
rpm-build-debuginfo-4.11.2-16.16.1
rpm-debuginfo-32bit-4.11.2-16.16.1
rpm-debuginfo-4.11.2-16.16.1
rpm-debugsource-4.11.2-16.16.1
rpm-python-4.11.2-16.16.1
rpm-python-debuginfo-4.11.2-16.16.1
rpm-python-debugsource-4.11.2-16.16.1

- SUSE CaaS Platform ALL (x86_64):

rpm-4.11.2-16.16.1
rpm-debuginfo-4.11.2-16.16.1
rpm-debugsource-4.11.2-16.16.1
rpm-python-4.11.2-16.16.1
rpm-python-debuginfo-4.11.2-16.16.1
rpm-python-debugsource-4.11.2-16.16.1

- SUSE CaaS Platform 3.0 (x86_64):

rpm-4.11.2-16.16.1
rpm-debuginfo-4.11.2-16.16.1
rpm-debugsource-4.11.2-16.16.1
rpm-python-4.11.2-16.16.1
rpm-python-debuginfo-4.11.2-16.16.1
rpm-python-debugsource-4.11.2-16.16.1

- OpenStack Cloud Magnum Orchestration 7 (x86_64):

rpm-4.11.2-16.16.1
rpm-debuginfo-4.11.2-16.16.1
rpm-debugsource-4.11.2-16.16.1
rpm-python-4.11.2-16.16.1
rpm-python-debuginfo-4.11.2-16.16.1
rpm-python-debugsource-4.11.2-16.16.1


References:

https://www.suse.com/security/cve/CVE-2017-7500.html
https://www.suse.com/security/cve/CVE-2017-7501.html
https://bugzilla.suse.com/1077692
https://bugzilla.suse.com/943457

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung